Name: libxml2
Version: 2.4.30
Release: alt2.1
Serial: 1

Summary: The library for manipulating XML files
License: MIT
Group: System/Libraries
Url: http://xmlsoft.org/

%def_disable static

Packager: XML Development Team <xml@packages.altlinux.org>

%define pythonlibdir %(%__python -c "from distutils import sysconfig; print sysconfig.get_python_lib()")

Source: ftp://xmlsoft.org/%name-%version.tar.bz2

Patch0: %name-2.4.25-alt-makefile.patch
Patch1: %name-2.4.7-alt-fix-manpages.patch
Patch2: %name-2.4.19-sec-fix-nano.patch
Patch3: %name-2.4.30-suse-CAN-2004-0989.patch

Provides: libxml.so.2

Requires: xml-common

# Automatically added by buildreq on Thu Nov 21 2002
BuildRequires: libbfd-devel python-devel xml-common zlib-devel

%package devel
Summary: Development environment for building applications manipulating XML files
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static library for building applications manipulating XML files
Group: Development/C
Requires: %name-devel = %version-%release

%package -n xml-utils
Summary: Various XML utilities
Group: Development/C
Requires: %name = %version-%release
Provides: xmllint = %version
Obsoletes: xmllint

%package python
Summary: Python bindings for the %name library
Group: Development/Python
Requires: %name = %version-%release
Requires: python = %__python_version

%package doc
Summary: Documentation for the %name library
Group: Development/C

%description
This library allows to manipulate XML files.  It includes support
to read, modify and write XML and HTML files.  There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified.  The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges.  A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

This package contains the shared library required to run
applications manipulating XML files.

%description devel
This library allows to manipulate XML files.  It includes support
to read, modify and write XML and HTML files.  There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified.  The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges.  A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

This package contains the libraries, include and other files
you can use to develop applications manipulating XML files.

%description devel-static
This library allows to manipulate XML files.  It includes support
to read, modify and write XML and HTML files.  There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified.  The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges.  A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

This package contains the static library you can use to develop
statically linked applications manipulating XML files.

%description -n xml-utils
This package contains xml tools:
+ xmllint - utility for parsing and validating XML files;
+ xmlcatalog - command line tool to parse and manipulate XML or SGML catalog files.

%description python
This package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the %name library to manipulate XML files.

This library allows to manipulate XML files.  It includes support
to read, modify and write XML and HTML files.  There is DTDs support
this includes parsing and validation even with complex DTDs, either
at parse time or later once the document has been modified.

%description doc
This package contains documentation on the XML C library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

bzip2 -9fk ChangeLog

%__subst 's/xml-config/xml2-config/g' libxml.m4

%build
%__aclocal
%__automake -a -c
%__autoconf
%configure --with-html-dir=%_docdir %{subst_enable static}

# SMP-incompatible.
%make
%make check

%install
%define pkgdocdir %_docdir/%name-%version
%makeinstall \
	PYTHON_SITE_PACKAGES=$RPM_BUILD_ROOT%pythonlibdir \
	BASE_DIR=$RPM_BUILD_ROOT%_docdir \
	TARGET_DIR=$RPM_BUILD_ROOT%pkgdocdir/html
%__ln_s %name.so.2 $RPM_BUILD_ROOT%_libdir/libxml.so.2

%__mv $RPM_BUILD_ROOT%_datadir/aclocal/libxml{,2}.m4

%__mkdir_p $RPM_BUILD_ROOT%pkgdocdir/python
%__install -p -m644 AUTHORS Copyright README TODO ChangeLog.* \
	$RPM_BUILD_ROOT%pkgdocdir/
%__install -p -m644 doc/*.{html,gif,png} \
	$RPM_BUILD_ROOT%pkgdocdir/
%__install -p -m644 python/{README,TODO} \
	$RPM_BUILD_ROOT%pkgdocdir/python/
%__install -p -m644 doc/python.html doc/*.py \
	$RPM_BUILD_ROOT%pkgdocdir/python/

%__cp -a doc/tutorial $RPM_BUILD_ROOT%pkgdocdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/Copyright
%pkgdocdir/README
%pkgdocdir/TODO*
%pkgdocdir/ChangeLog.*

%files -n xml-utils
%_bindir/xmllint
%_bindir/xmlcatalog
%_man1dir/xmllint.*
%_man1dir/xmlcatalog.*

%files devel
%_bindir/*-config
%_libdir/*.so
%_libdir/*.la
%_libdir/*.sh
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_man1dir/*-config*
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	#enabled static

%files python
%_libdir/python*/site-packages/*
%dir %pkgdocdir
%pkgdocdir/python

%files doc
%dir %pkgdocdir
%pkgdocdir/*.html
%pkgdocdir/*.gif
%pkgdocdir/*.png
%pkgdocdir/html
%pkgdocdir/examples
%pkgdocdir/tutorial

%changelog
* Fri Oct 29 2004 Stanislav Ievlev <inger@altlinux.org> 1:2.4.30-alt2.1
- CAN-2004-0989

* Thu Mar 11 2004 Alexey Tourbin <at@altlinux.ru> 1:2.4.30-alt2
- security update for Master 2.2 (nanohttp/nanoftp overflows, CAN-2004-0110)
- backported a few changes from Sisyphus package, including:
  * Sat Jun 21 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1:2.5.7-alt2
  - Fixed up the anachronistic aclocal m4 file, by request from Alexey Morozov.
    Renamed the file libxml2.m4

* Fri Dec 13 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.4.30-alt1
- Updated to 2.4.30

* Thu Dec 05 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.4.28-alt2
- Applied cvs patch from Marcus Clarke fixing a problem in entities
  parsing that was detected in KDE documentations environment.

* Sat Nov 30 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:2.4.28-alt1
- 2.4.28
- doc subpackage

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.4.27-alt1
- 2.4.27
- Added dependence on xml-common.

* Sun Nov 03 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:2.4.26-alt0.1
- 2.4.26, I hope it will behave now
- disable static build by default

* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.4.24-alt2
- increase release to satisfy rpm
  (rpm ignore serial if version and release of old and new package a same)

* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.4.24-alt1
- rollback to 2.4.24: new version is too buggy.

* Mon Oct 07 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.25-alt1
- 2.4.25
- Fixed doc installation.

* Thu Sep 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.24-alt1
- 2.4.24

* Mon Jul 22 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.23-alt1
- 2.4.23
- Fixed doc installation

* Sat Jun 08 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.22-alt1
- 2.4.22

* Sat May 04 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.21-alt1
- 2.4.21
- Fixed BuildRequires
- postun_ldconfig

* Sat Apr 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.20-alt1
- 2.4.20

* Tue Mar 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.18-alt1
- 2.4.18.
- Repackaged docs.

* Wed Feb 20 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.16-alt1
- 2.4.16.

* Tue Feb 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.15-alt1
- 2.4.15.

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.14-alt1
- 2.4.14.
- Added python subpackage.

* Wed Jan 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.13-alt1
- 2.4.13

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.11-alt1
- 2.4.11

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.10-alt1
- 2.4.10

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.8-alt1
- 2.4.8
- Renamed xmllint subpackage to xml-utils.

* Mon Nov 05 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.7-alt1
- 2.4.7
- Packaged xmlcatalog.
- Packaged %_libdir/pkgconfig/* files.

* Fri Oct 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.6-alt1
- 2.4.6

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.5-alt1
- 2.4.5

* Thu Sep 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Fri Aug 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.2-alt2
- Rebuilt.

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Jul 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.3.13-alt1
- 2.3.13

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.3.11-alt1
- 2.3.11

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.3.10-alt1
- 2.3.10

* Tue May 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.3.9-alt1
- 2.3.9
- Moved static library to devel-static subpackage.

* Sat May 05 2001 Rider <rider@altlinux.ru> 2.3.8-alt1
- 2.3.8

* Tue Mar 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Sun Mar 11 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.4-ipl1mdk
- 2.3.4

* Sun Mar 04 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.3-ipl1mdk
- 2.3.3

* Mon Feb 26 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.2-ipl1mdk
- 2.3.2

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.1-ipl1mdk
- 2.3.1

* Sun Feb 11 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0-ipl2mdk
- Provides libxml.so.2 for compatibility.

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0-ipl1mdk
- 2.3.0
- Removed "Conflicts: libxml-devel" tag from %name-devel package.

* Sat Jan 27 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.12-ipl1mdk
- 2.2.12

* Sun Jan 07 2001 Dmitry V. Levin <ldv@fandra.org> 2.8.11-ipl3mdk
- 2.8.11
- Moved xmllint to separate subpackage.
- Specfile cleanup; updated URL, summaries and descriptions.
- Added libxml.m4 and manpages.
- Relocated html documentation.

* Wed Nov 29 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.8-1mdk
- bump up the version.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.7-1mdk
- new and shiny version.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.6-1mdk
- shiny version.

* Sun Oct 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.4-1mdk
- very new and shiny version.

* Sat Aug 26 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.2-2mdk
- corrected bug reported by
  Reinhard Katzmann <reinhard.katzmann@neckar-alb.de> :
  Requires : %name = {PACKAGE_VERSION}

* Tue Aug 22 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.2-1mdk
- updated to libxml version 2.2.2

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.9-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.9-2mdk
- rebuild

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.9-1mdk
- new version
- big move

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.8.8-4mdk
- spec cleanup.

* Thu Jul 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.8-3mdk
- use some macros

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-2mdk
- moved xml-config to devel package. Thanx to Stefan

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-1mdk
- updated.
- spec cleanup.

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.7-1mdk
- fix release tag

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.7-1mdk
- release from helix stuffs.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.6-2mdk
- fix group

* Sun Feb 20 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.8.6-1mdk
- 1.8.6

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.7.3

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.1

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.0.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30
